"""
Hawkins Agent - A Python SDK for building and managing AI agents
with integrated memory, knowledge base, and workflow management.
"""

from .agent import Agent, AgentConfig
from .tools.base import Tool
from .workflow.engine import Workflow
from .memory.manager import MemoryManager
from .events import EventBus

__version__ = "0.1.0"
__all__ = ['Agent', 'AgentConfig', 'Tool', 'Workflow', 'MemoryManager', 'EventBus']